it-swarm.com.de

Installieren der GTK-Entwicklungsumgebung

Nicht neu in Ubuntu oder Programmierung, aber ich bin neu in der Programmierung in C und GTK. Habe Quickly für das ungerade Programm benutzt. Ich möchte mit C und gtk herumspielen.

Welche GTK-Pakete muss ich installieren, um eine funktionierende Entwicklungsumgebung mit C zu haben?

30
cortexuvula

Ich betrüge und verwende stattdessen die Liste der Pakete, die zum Erstellen anderer großer GTK-Anwendungen benötigt werden:

Sudo apt-get build-dep inkscape

Oder gehen Sie für einen minimaleren Ausgangspunkt auf das Nötigste und fügen Sie es hinzu, wenn Sie Folgendes benötigen:

Sudo apt-get install build-essential libgtk2.0-dev
23
Kees Cook

Für eine vollständige Entwicklungsumgebung ist gnome-develInstall gnome-devel metapackage installiert eine vollständige GTK + GNOME-Entwicklungsumgebung, einschließlich der Entwicklungsdokumentation und der Anjuta-IDE.

Dies ist viel mehr als das Minimum an Dingen, die Sie für die GTK-Entwicklung benötigen, aber es kann schön sein, alles zur Verfügung zu haben, was Sie wahrscheinlich brauchen.

17
RAOF

Sie möchten wahrscheinlich eine Anwendung wie Anjuta oder CodeBlocks (beide finden Sie im Software-Center).

Ich würde dringend empfehlen, Anjuta den meisten anderen IDEs vorzuziehen, unter anderem wegen der Glade-Integration, der Verwendung von Autotools (weniger Kopfschmerzen) und der Portabilität des Codes (Sie können einen beliebigen Texteditor verwenden =).

Wenn Sie keine idealen logischen Probleme haben, können Sie versuchen, Monodevelop zu verwenden (es ist eine gute IDE, ähnlich wie Visual Studio).

Um die Abhängigkeiten für eine grundlegende GTK + -Entwicklung zu ermitteln, müssen Sie nur buildessential und libgtk2.0-dev wie von Kees angegeben installieren.

1
RolandiXor